Subject: Re: [codec] Skype IPR disclosure
From: Rob Glidden <[email-masked]>
To: stephen botzko <[email-masked]>
Cc: Codec WG <[email-masked]>
Date: Sat, 27 Mar 2010 11:51:27 -0700
List-Id: Codec WG <codec.ietf.org>

Stephen:

You should take your objections to whatever forum you think
appropriate, but it is common for working groups to have to deal with
IPR claims, and timely IPR disclosure is important because working
groups need to have as much information as they can while evaluating
alternative solutions.

Rob

stephen botzko wrote:

This is not the right mailing list for this discussion, as
it has moved well beyond CODEC and the IPR disclosure on SILK.

Seems to me that the IPR-WG list is more appropriate.

Stephen Botzko

On Fri, Mar 26, 2010 at 9:49 AM, Rob Glidden
<[email-masked]>
wrote:

Stephan:

A lot of what you say seems very sensible.

However, it looks like you may have a disagreement with the IETF policy
itself -- disclosure obligations apply to all participants, and
individuals are explicitly not sheltered by company policy or any other
reason.

The obligation if there is a problem with this is to not contribute or
participate:

"7...where individuals are not permitted by their employers or by other factors to
disclose the existence or substance of patent applications or other IPR...
[the person] must not contribute to or participate in IETF activities with
respect to technologies that he or she reasonably and personally knows to be
Covered by IPR which he or she will not disclose"

The idea that IETF policy is instead to facilitate willful ignorance
and/or avoidance by anyone seems wrong on many levels.

Rob

Stephan Wenger wrote:

Hi Rob, list,

Again a long email; sorry for that.

With hat:

I missed the PCT application as I was focused only on the newer of the
two Skype disclosures, and was multitasking between listening to the
IETF 77 plenary and writing my last email.  I apologize for this
mistake.  And I agree with you that the Skype PCT application has been
properly disclosed to the IETF.

I have not intended to imply that Skype or its IETF-contributing
employees have failed its disclosure obligation with respect to the GB
patent.  They may have, or they may have not.  I would think that this
depends on factors such as whether the GB application is being
prosecuted—it may have been abandoned—and similar factors.  (The same
holds even more so for the PCT application, given the transitory nature
of PCT applications.)

When I provide information about my impression of the compliance of
individuals and/or a company with BCP79, I do so based on statements
received in the form of IETF contributions and IPR disclosures.  If,
for example, Dr. Chen mentions during his IETF presentation that
Broadcom has essential patents on their proposal, but there is no IPR
disclosure on file, that’s most likely a situation where BCP 79 rules
were not followed, and Dr. Chen and/or Broadcom should fix that.  But
I’m not going to hunt down the status and prosecution history of every
single patent or application in a family, in order to identify whether
there may actually be other patents or applications that would be in
need for disclosure.  That’s their job, not mine.  The consequences of
not following IPR policies are known to those of us with legal
inclinations.

In the Skype GB patent application case, the situation is unclear to me
as I did not, and will not, study the status of the GB patent
application myself.  In such a case I assume by default that they are
in compliance with BCP 79.

I guess that we will learn over time, by the presence or the absence of
an updated IPR disclosure, whether Skype thinks that they have a
disclosure obligation of the GB patent application.

I stick to my previous assertion that it is inappropriate to post
patent numbers and/or hyperlinks to patents on the mailing list.  The
tracker is the right place to inform people about patents.

Hat off:

You asked me not to loose substance here.  Fair.  Let’s not loose
substance:

In your posting, you have pointed engineers, many of which without
formal legal training, let alone being qualified patent lawyers, to
patent documents and, at least implicitly, encouraged the study of
patents.  You facilitated this by posting patent numbers and hyperlinks
to patents on a technical mailing list.  I believe we both agree that
such a study can expose individuals, and certainly their employers, to
certain risks.

I believe that we share a basic interpretation of the policy in that it
is within the mandate of an IETF working group to take into account
known patent rights, and, to a certain extend, even their commercial
(licensing/non-assert) terms.  That may include discussions of patent
subject matter, work around solutions to avoid patent claims, and such.
I believe that the core of our disagreement is only the question how
related discussions are conducted.  Is it really necessary to directly
point people towards patent claims, with patent numbers, hyperlinks,
possible cut-paste of claim language?  Or would be it sufficient to be
just a bit more subtle?

Using the concrete example at hand, starting a discussion on the
abstract concept of “the specific value of a particular technique of
noise level estimation” is absolutely within the mandate of this WG and
this list.  I have never objected to that.  Making a request like “In
the context of IETF IPR declaration xxx, I would like to get a full
understanding of the specific value of a particular technique of noise
level estimation” is IMO also absolutely within the mandate here.
Stating “the commercial terms identified in the IETF IPR disclosure
xxx may not be fully aligned with my business interest.  Therefore, I
would prefer designing around the protected technology.  In this
context, would someone help me with an understanding of the specific
value of a particular technique of noise level estimation” seems also
ok to me (although the wisdom of making such a statement is not
immediately apparent to me).  Paraphrasing a particular technique
certainly is.  Even limited citations from the patent specification may
be.

Using such formulations provide interested individuals with sufficient
information to access the patents which you want them to study, and/or
identify the subject matter.  Those other people, however, who, by
company policy, lack of interest on patent matters, or for any other
reason, are not interested in patents, are not confronted with
offending numbers, nor are they in danger of accidently downloading
patent documents they are neither qualified, nor allowed by company
policy, to study.

Regards,

Stephan

On 3.25.2010 09:23 , "Rob Glidden" <[email-masked]>
wrote:

Stephan:

I don't see why you seem to be implying that Skype has failed to
disclose IPR -- seems opposite to me.

As said below, this IPR was already responsibly disclosed by the owner
-- the PCT is listed right there in 1164, and the GB application is
referenced for priority and incorporated by reference in the patent.
Hard to see how this could be more clear.

Yes, BCP 79 section 6.4.1 says disclosures "must list the numbers of
any issued patents or published patent applications or indicate that
the claim is based on unpublished patent applications" and section
6.4.2 encourages disclosing material changes -- Skype is doing all
this, no?

Please don't lose the substance here -- ie the nature of a licensing
disclosure and the specific value of a particular technique of noise
level estimation.

Your surmise that IETF might have a motive in BCP 79 to defacilitate
deliberation by working groups looks counter to the text of the doc.

Rob

Stephan Wenger wrote:

Re: [codec] Skype IPR disclosure Hi Rob,

Wearing my “technical advisor to the IESG on IPR matters” hat:

I’m commenting in this email only on the “third party disclosure”
subject.  I may comment on the other subject later, as, admittedly,
they are more murky.  Phrasing a reply certainly requires more
undistracted time than I have now (sitting in the IETF77 plenary).

I note that you have provided information of two patent applications
that have not been recited in Skype’s declaration.  Specifically,
neither the GB application, nor the PCT application, have been
disclosed by Skype.  Nowhere in BCP 79 or in the IETF’s current
practice I find language or common conduct indicating that, by
disclosing one or more patent family members, one has to infer that all
patent family members are disclosed.  If you are aware of such
language, I would appreciate a pointer.

In this light, I continue to believe that you were not within the
language, nor the spirit, of BCP 79 when you cited these patent numbers.

Advisor hat off, private statement:

Rob, you are a lawyer, and are listed in the IP law section of the CA
bar association.  You are a professional in this field.  Most of the
subscribers of this *technical* working group list are not.  They may
not know what harm could befall them, and their employers, if they
start reading someone else’s patents, and perhaps start commenting in
public on it.

It is my understanding that one motivation for moving the IPR
disclosures to an isolated area of the IETF’s web page has been to
ensure that accidental reading and commenting on someone else’s patents
is not facilitated.  By providing patent numbers and handy hyperlinks
to those patents, you have very efficiently interrupted this isolation.

I don’t think this is a fair tactic, and I don’t think it can do us any
good—not even those parts of the community with business interests that
are apparently aligned with yours.  In the worst case, legal
departments of careful companies may require their employees to
unsubscribe from the codec WG, and stop attending meetings.  No
contributions from these people to the IETF, no disclosures, no other
IPR data points to consider.  Fog over the minefield.  This cannot be
your intention.  I hope.

Individuals with sufficient knowledge and interest to assist you in
reading patents and interpreting patent subject matter almost certainly
have the knowledge to find a patent or application once they have a
number.  Those who don’t probably could ask you in private.  Or they
can ask google.  As we all know, google has answers for everything :-)

Trying to be constructive, I wonder whether you, or someone else, would
be willing to run a mailing list outside of the IETF’s organized
setting, in which you and other interested participants can discuss
patent claims to your hearts content, without contaminating the IETF
list with patent numbers, claim language, and other legal stuff that
raises red flags in so many IETF companies.

Regards,

Stephan

On 3.24.2010 17:50 , "Rob Glidden" <[email-masked]>
wrote:

Stephan:

(apologies for long email)

Thanks for the reminder.  I've re-read 3979 and 4879 (on third party
disclosures), and you are wise to encourage care.

However, in this case the IPR has already been responsibly disclosed by
the owner.  So this thread is not disclosing any IPR of a third party,
for which as you indicate sections 6.1.2 and 3 (on IPR of others) would
be appropriate -- by form or email.

Rather, 3979 clearly expects working groups to use the disclosures,
once made, in their evaluations and deliberations.

6.5 Since IPR disclosures will be used by IETF working groups during

their evaluation of alternative technical solutions, it is helpful if

an IPR disclosure includes information about licensing of the IPR in

case Implementing Technologies require a license.

This includes the licensing information in the disclosures:

The inclusion of licensing information in IPR disclosures is not

mandatory but it is encouraged so that the working groups will have

as much information as they can during their deliberations.

And in weighing alternatives:

8. IETF working groups have the discretion

to adopt technology with a commitment of fair and non-discriminatory

terms, or even with no licensing commitment, if they feel that this

technology is superior enough to alternatives with fewer IPR claims

or free licensing to outweigh the potential cost of the licenses.

and even in developing broader IETF consensus:

An IETF consensus

has developed that no mandatory-to-implement security technology can

be specified in an IETF specification unless it has no known IPR

claims against it or a royalty-free license is available to

implementers of the specification unless there is a very good reason

to do so.

And you are also wise in reminding that the IETF will not make
determinations for many excellent reasons, but

Although the IETF can

make no actual determination of validity, enforceability or

applicability of any particular IPR claim, it is reasonable that a

working group will take into account on their own opinions of the

validity, enforceability or applicability of Intellectual Property

Rights in their evaluation of alternative technologies.

So I'd suggest this dialog is both in scope and constructive, fully in
spirit and letter of BCP 79, seeking to clarify the nature of a
licensing disclosure and the specific value of a particular technique
of noise level estimation and application of opposite non-linear
functions.

Rob

Stephan Wenger wrote:

Re: [codec] Skype IPR disclosure Hi Rob, all,

Wearing my “technical advisor on IPR matters hat”:

Please let me remind you that the IETF takes no position on scope and
validity of patent claims.  I don’t believe that the use of an IETF
mailing list to collaboratively create such a position—even it it were
not marked as an IETF position—is appropriate.  Please refrain from
using this list for such discussions.

Further, I’m also not sure that everyone here—even a
majority—appreciates being advised of patents through means other than
the IETF’s IPR tracking system.  It is certainly against language and
spirit of BCP 79.  If you want to advise people of third party IPR
henceforth, please use the tracker.  Feel free to contact me in private
it you need logistic help with that.

Thanks,

Stephan

On 3.24.2010 15:13 , "Rob Glidden" <[email-masked]>
wrote:

I would agree that the wording seems to go
beyond a narrow non-assert into business strategy, and this is
furthered by potentially ambiguous phrasings such as "royalty free,
reasonable and non discriminatory terms".  "RF" and "RAND" might
overlap in some definitions, but they are not the same.

Also I would note the two statements (1297 and 1164) appear to be
(only?) a single patent application for a method of estimating noise
levels with 3 independent claims.  As further progress is made, it
might be helpful to understand scope and prior art, and relationship to
an entire contribution, and the specific quantified value of the
novelty identified in the international search opinion of applying
opposite non-linear functions.

Though not reflected in the disclosure, the US application claims
priority to a Great Britain Application No. 0703275.8, filed Feb. 20,
2007.

http://appft1.uspto.gov/netacgi/nph-Parser?Sect1=PTO2&Sect2=HITOFF&p=1&u=%2Fnetahtml%2FPTO%2Fsearch-bool.html&r=1&f=G&l=50&co1=AND&d=PG01&s1=12%2F006057&OS=12/006057&RS=12/006057

The PCT is at:

http://www.wipo.int/pctdb/en/wo.jsp?WO=2008102207

Perhaps someone familiar with this application would correct any
mis-impressions above?

Rob

Benjamin M. Schwartz wrote:

stephen botzko wrote:

I think it is unreasonable to require IPR holders to unconditionally
promise

to not assert their patents under any and all circumstances.

I am not asking for such an unconditional promise.  I am just noting
some

restrictions that seem especially onerous to me.

In practice the first clause does not immunize Skype from lawsuits.
Many

companies have similar "defensive suspension" clauses, and they still
get

sued fairly regularly.

There are different kinds of defensive suspension.  For example, the W3C

allows defensive suspension, but only for lawsuits on patent
infringement:

"""

a W3C Royalty-Free license ... may be suspended with respect to any

licensee when licensor is sued by licensee for infringement of claims

essential to implement any W3C Recommendation ... [but] may not impose
any

further conditions or restrictions

"""

(http://www.w3.org/Consortium/Patent-Policy-20030520#sec-Requirements)

That seems like a reasonable case for defensive suspension.  Skype's

wording, by contrast, is totally unreasonable, as it extends the
defensive

suspension to _all_ lawsuits, no matter their object.  I expect most

companies to use the IWAC, and maybe even most humans eventually.  The

retroactive revocation means that these people can be deterred from
suing

Skype/Ebay even after the patents have all expired.

It's absurd, not to mention legally questionable.

The second clause ensures that someone outside the IETF cannot take the

Skype technology, improve it, and offer a competitive proprietrary codec

that uses Skype IPR. If you modify the codec, you should be doing it in
the

context of the IETF standard.

And once the standard is made?  Skype could effectively block the IETF

from creating an improved version of its own codec, or any optional

extensions (they're not "necessary").  I don't think that's reasonable
at all.

--Ben

_______________________________________________

codec mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/codec

_______________________________________________

codec mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/codec

_______________________________________________

codec mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/codec